



module.exports  = function(config){

    const util = {};

    util.buildUrlRedirect = function(conversationId, url, type) {

        let baseUrl = '';
        if (config.URL_FOR_BUILD_LINK){
            baseUrl = config.URL_FOR_BUILD_LINK;
        }else{
            baseUrl = config.INFOCHAT_DATA_SERVER;
        }

        return  baseUrl+'/redirect/' + conversationId + '?url=' + url + '&type=' + type;
    };

    util.defineLanguage = function(language){

        if (language){

            language = language.toLowerCase();

            if (language.indexOf('pt') >= 0){
                language = 'pt-br';
            }else if (language.indexOf('es') >= 0){
                language = 'es';
            }else{
                language = 'en';
            }

        }else{
            language = 'en';
        }

        return language;
    };



    return util;

};
